InertiaSDK

Loading...
Searching...
No Matches
Protected Member Functions | List of all members
inertia::SchedulerActionResponse Struct Reference
Inheritance diagram for inertia::SchedulerActionResponse:
[legend]
Collaboration diagram for inertia::SchedulerActionResponse:
[legend]

## Protected Member Functions
| SchedulerActionResponse (const uint8_t *packet, const unsigned max_size)
| SchedulerActionResponse (std::wstring const &argString)
uint8_t | GetType () const override
bool | IsResponse () const override
Protected Member Functions inherited from inertia::SchedulerCommand
| SchedulerCommand (uint8_t subType)
| SchedulerCommand (const uint8_t *packet, const unsigned max_size)
| SchedulerCommand (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default

## Additional Inherited Members
Public Member Functions inherited from inertia::SchedulerCommand
InertiaCommandGroups | GetGroup () const override
Static Public Member Functions inherited from inertia::SchedulerCommand
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)
Static Protected Member Functions inherited from inertia::SchedulerCommand
static const po::options_description | GetOptionDescription ()
Protected Attributes inherited from inertia::SchedulerCommand
uint8_t | subType

## Member Function Documentation

## ◆ GetType()

uint8_t inertia::SchedulerActionResponse::GetType | ( |  | ) | const
| override protected virtual

Implements inertia::InertiaCommand.

## ◆ IsResponse()

bool inertia::SchedulerActionResponse::IsResponse | ( |  | ) | const
| override protected virtual

Implements inertia::InertiaCommand.

The documentation for this struct was generated from the following file:

- SchedulerCommands.h